Skip to main content
GET
/
organizations
/
{organizationId}
/
deployments
/
{deploymentId}
Get a Deployment
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployments/{deploymentId} \
  --header 'Authorization: Bearer <token>'
{
  "airflowVersion": "2.7.2, if airflow version is not found, it will return NA",
  "apiUrl": "https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed/api/v1",
  "astroRuntimeVersion": "9.1.0",
  "createdAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "id": "clmh57jtm000008lb58fe2wmv",
  "imageRepository": "https://my-image-repository",
  "imageTag": "my-image-tag",
  "isCicdEnforced": true,
  "isDagDeployEnabled": true,
  "name": "My deployment",
  "namespace": "weightless-diameter-8927",
  "organizationId": "clmh59gt0000308lbgswe5fvh",
  "runtimeVersion": "9.1.0",
  "schedulerCpu": "1",
  "schedulerMemory": "1Gi",
  "schedulerReplicas": 1,
  "status": "HEALTHY",
  "uiUrl": "https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed?orgId=org_bvqayGttQauxdxB2",
  "updatedAt": "2022-11-22T04:37:12Z",
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "webServerAirflowApiUrl": "myorganization.astronomer-dev.run/d8fe2wmv/api/v1",
  "webServerCpu": "0.5",
  "webServerIngressHostname": "clmh597sg000208lb2kjhcn8q.astronomer.run/d8fe2wmv",
  "webServerMemory": "0.5Gi",
  "webServerUrl": "myorganization.astronomer-dev.run/d8fe2wmv?orgId=org_edxLzpFcLrgEfpD5",
  "workspaceId": "clmh58o7d000108lb74ktc9o64",
  "cloudProvider": "AZURE",
  "clusterId": "clmh597sg000208lb2kjhcn8q",
  "clusterName": "my cluster",
  "contactEmails": [
    "user1@company.com"
  ],
  "dagTarballVersion": "2024-01-12T18:32:20.5898930Z",
  "defaultTaskPodCpu": "0.5",
  "defaultTaskPodMemory": "1Gi",
  "description": "My deployment description",
  "desiredDagTarballVersion": "2024-01-12T18:32:20.5898930Z",
  "drExternalIPs": [
    "<string>"
  ],
  "drOidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/",
  "drWorkloadIdentity": "<string>",
  "environmentVariables": [
    {
      "isSecret": true,
      "key": "my-var",
      "updatedAt": "2022-11-22T04:37:12Z",
      "value": "my-var-value"
    }
  ],
  "executor": "CELERY",
  "externalIPs": [
    "0.0.0.0"
  ],
  "imageVersion": "deploy-2023-09-14T19-04",
  "isDevelopmentMode": true,
  "isHighAvailability": true,
  "oidcIssuerUrl": "https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/",
  "region": "us-east-1",
  "remoteExecution": {
    "allowedIpAddressRanges": [
      "<string>"
    ],
    "enabled": true,
    "remoteApiUrl": "<string>",
    "taskLogBucket": "<string>",
    "taskLogUrlPattern": "<string>"
  },
  "resourceQuotaCpu": "160",
  "resourceQuotaMemory": "320Gi",
  "scalingSpec": {
    "hibernationSpec": {
      "override": {
        "isActive": true,
        "isHibernating": true,
        "overrideUntil": "2023-11-07T05:31:56Z"
      },
      "schedules": [
        {
          "hibernateAtCron": "<string>",
          "isEnabled": true,
          "wakeAtCron": "<string>",
          "description": "<string>"
        }
      ]
    }
  },
  "scalingStatus": {
    "hibernationStatus": {
      "isHibernating": true,
      "nextEventAt": "<string>",
      "nextEventType": "HIBERNATE",
      "reason": "<string>"
    }
  },
  "schedulerAu": 5,
  "schedulerSize": "MEDIUM",
  "statusReason": "Successfully Deployed",
  "taskPodNodePoolId": "clmh5mash000008mia6lnbs0f",
  "type": "DEDICATED",
  "webServerReplicas": 1,
  "workerQueues": [
    {
      "id": "clmh9vsuf000908midngba9mw",
      "isDefault": true,
      "maxWorkerCount": 10,
      "minWorkerCount": 1,
      "name": "default",
      "podCpu": "1",
      "podMemory": "2Gi",
      "workerConcurrency": 20,
      "astroMachine": "A5",
      "nodePoolId": "clmh9yjcn000a08mi8dsgbno9"
    }
  ],
  "workloadIdentity": "<string>",
  "workspaceName": "my-workspace"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Deployment belongs.

deploymentId
string
required

The Deployment's ID.

Response

OK

airflowVersion
string
required

The Deployment's Airflow version.

Example:

"2.7.2, if airflow version is not found, it will return NA"

apiUrl
string
required

The base URL to directly access the Airflow API.

Example:

"https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed/api/v1"

astroRuntimeVersion
string
required

The Deployment's Astro Runtime version.

Example:

"9.1.0"

createdAt
string<date-time>
required

The time when the Deployment was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
required
id
string
required

The Deployment's ID.

Example:

"clmh57jtm000008lb58fe2wmv"

imageRepository
string
required

The URL of the Deployment's image repository.

Example:

"https://my-image-repository"

imageTag
string
required

The Deployment's custom image tag. Appears only if specified in the most recent deploy.

Example:

"my-image-tag"

isCicdEnforced
boolean
required

Whether the Deployment requires that all deploys are made through CI/CD.

Example:

true

isDagDeployEnabled
boolean
required

Whether the Deployment has DAG deploys enabled.

Example:

true

name
string
required

The Deployment's name.

Example:

"My deployment"

namespace
string
required

The Deployment's namespace name in the Kubernetes cluster.

Example:

"weightless-diameter-8927"

organizationId
string
required

The ID of the Organization to which the Deployment belongs.

Example:

"clmh59gt0000308lbgswe5fvh"

runtimeVersion
string
required

Deprecated: runtimeVersion has been replaced with astroRuntimeVersion

Example:

"9.1.0"

schedulerCpu
string
required

The CPU limit for the Deployment's scheduler. Specified in number of CPU cores.

Example:

"1"

schedulerMemory
string
required

The memory limit for the Deployment's scheduler. Units in Gibibytes or Gi.

Example:

"1Gi"

schedulerReplicas
integer
required

The number of schedulers to use in the Deployment.

Example:

1

status
enum<string>
required

The status of the Deployment.

Available options:
CREATING,
DEPLOYING,
HEALTHY,
UNHEALTHY,
UNKNOWN,
HIBERNATING
Example:

"HEALTHY"

uiUrl
string
required

The URL to access the Airflow UI.

Example:

"https://clypw7uah05jb01nwtpojz0j2.astronomer.run/d4yjo9ed?orgId=org_bvqayGttQauxdxB2"

updatedAt
string<date-time>
required

The time when the Deployment was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

updatedBy
object
required
webServerAirflowApiUrl
string
required

The Deployment's webserver's base url to directly access the Airflow api.

Example:

"myorganization.astronomer-dev.run/d8fe2wmv/api/v1"

webServerCpu
string
required

The CPU limit for the Deployment's webserver. Units are in number of CPU cores.

Example:

"0.5"

webServerIngressHostname
string
required

The Deployment's webserver's ingress hostname.

Example:

"clmh597sg000208lb2kjhcn8q.astronomer.run/d8fe2wmv"

webServerMemory
string
required

The memory limit for the Deployment's webserver. Units in Gibibytes or Gi.

Example:

"0.5Gi"

webServerUrl
string
required

The Deployment's webserver's url.

Example:

"myorganization.astronomer-dev.run/d8fe2wmv?orgId=org_edxLzpFcLrgEfpD5"

workspaceId
string
required

The ID of the Workspace to which the Deployment belongs.

Example:

"clmh58o7d000108lb74ktc9o64"

cloudProvider
enum<string>

The cloud provider of the cluster. Only for Standard Deployment.

Available options:
AWS,
AZURE,
GCP
Example:

"AZURE"

clusterId
string

The ID of the cluster where the Deployment is hosted.

Example:

"clmh597sg000208lb2kjhcn8q"

clusterName
string

The name of the cluster where the Deployment is hosted. Only for Dedicated and Hybrid Deployments.

Example:

"my cluster"

contactEmails
string[]

The list of contact emails for the Deployment.

Example:
["user1@company.com"]
dagTarballVersion
string

The Deployment's current DAG tarball version, also known as the Bundle Version in the Astro UI. If no deploys are currently processing, this value should be the same as DesiredDagTarballVersion.

Example:

"2024-01-12T18:32:20.5898930Z"

defaultTaskPodCpu
string

The default CPU resource usage for a worker Pod when running the Kubernetes executor or KubernetesPodOperator. Units are in number of CPU cores.

Example:

"0.5"

defaultTaskPodMemory
string

The default memory resource usage for a worker Pod when running the Kubernetes executor or KubernetesPodOperator. Units are in Gi. This value must always be twice the value of DefaultTaskPodCpu.

Example:

"1Gi"

description
string

The Deployment's description.

Example:

"My deployment description"

desiredDagTarballVersion
string

The Deployment's expected DAG tarball version after a currently processing deploy completes. This value is updated when a user triggers a DAG-only deploy to indicate that the Deployment is expecting a new DAG tarball version. If no deploys are currently processing, this value should be the same as DagTarballVersion.

Example:

"2024-01-12T18:32:20.5898930Z"

drExternalIPs
string[]

A list of the Deployment's external IPs in the DR cluster

drOidcIssuerUrl
string

OIDC issuer URL of the deployment's DR cluster

Example:

"https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/"

drWorkloadIdentity
string

The Deployment's DR workload identity.

environmentVariables
object[]

The Deployment's environment variables. Secret values will be omitted from response.

executor
enum<string>

The Deployment's executor type.

Available options:
CELERY,
KUBERNETES,
ASTRO
Example:

"CELERY"

externalIPs
string[]

A list of the Deployment's external IPs.

Example:
["0.0.0.0"]
imageVersion
string

A tag that Astronomer applies to the Deployment's Astro Runtime image during a deploy. It includes the date and time of the deploy.

Example:

"deploy-2023-09-14T19-04"

isDevelopmentMode
boolean

If true, deployment will be able to use development-only features, such as hibernation, but will not have guaranteed uptime SLAs

isHighAvailability
boolean

Whether the Deployment has high availability (HA) enabled. If true, multiple scheduler Pods will run at once.

Example:

true

oidcIssuerUrl
string

OIDC issuer URL of the deployment's cluster

Example:

"https://westus2.oic.prod-aks.azure.com/b84efac8-cfee-467a-b223-23b9aea1486d/3075f79e-abc2-4602-a691-28117197e83d/"

region
string

The region of the cluster. Only for Dedicated and Hybrid Deployments.

Example:

"us-east-1"

remoteExecution
object
resourceQuotaCpu
string

The CPU quota for worker Pods when running the Kubernetes executor or KubernetesPodOperator. If current CPU usage across all workers exceeds the quota, no new worker Pods can be scheduled. Units are in number of CPU cores.

Example:

"160"

resourceQuotaMemory
string

The memory quota for worker Pods when running the Kubernetes executor or KubernetesPodOperator. If current memory usage across all workers exceeds the quota, no new worker Pods can be scheduled. Units are in Gi. This value must always be twice the value of ResourceQuotaCpu.

Example:

"320Gi"

scalingSpec
object
scalingStatus
object
schedulerAu
integer

The number of Astronomer units (AU) for the Deployment's scheduler. Applies only to Deployments hosted on Hybrid clusters.

Example:

5

schedulerSize
enum<string>

The Deployment's scheduler size.

Available options:
SMALL,
MEDIUM,
LARGE,
EXTRA_LARGE
Example:

"MEDIUM"

statusReason
string

A message that provides context for the Deployment's status.

Example:

"Successfully Deployed"

taskPodNodePoolId
string

The node pool ID for the task pod.

Example:

"clmh5mash000008mia6lnbs0f"

type
enum<string>

The type of cluster that the Deployment runs on.

Available options:
DEDICATED,
HYBRID,
STANDARD
Example:

"DEDICATED"

webServerReplicas
integer

The number of webserver replicas.

Example:

1

workerQueues
object[]

A list of the Deployment's worker queues.

workloadIdentity
string

The Deployment's workload identity.

workspaceName
string

The name of the Workspace to which the Deployment belongs.

Example:

"my-workspace"